/*
 *  Script para la integracin de Seven Management con Seven Addons CDS
 *  Modifica e inserta datos en IHSecurity para poder utilizar la funcionalidad de
 *  Management en Seven Addons CDS
 */ 
 
USE [IHSecurity]
GO

/************************************************************************
 *
 * Registro del mdulo Seven Integrations - Orbe junto con sus submdulos y permisos
 *
 ************************************************************************/
 
INSERT INTO WebConfig (IdConfigWeb, Captcha) VALUES (100, 1)
GO
 
INSERT INTO [IHSecurity].[dbo].[Modulo]
           ([id_modulo]
           ,[desc_modulo]
           ,[conexion]
           ,[base_datos]
           ,[activo])
     VALUES
           (100
           ,'Seven Integrations - Orbe'
           ,''
           ,''
           ,1)
GO

-- Aplicaciones (Submdulos)
--INSERT [dbo].[Aplicaciones] ([id_app], [id_modulo], [desc_app]) VALUES (1001, 100, N'Sistema')
INSERT [dbo].[Aplicaciones] ([id_app], [id_modulo], [desc_app]) VALUES (1002, 100, N'Configuracin')
INSERT [dbo].[Aplicaciones] ([id_app], [id_modulo], [desc_app]) VALUES (1005, 100, N'Informes')

--DELETE FROM Opciones WHERE id_app IN (2021, 2022, 2023, 2024)
--GO

-- Permisos (Usuarios)

INSERT [dbo].[Opciones] ([id_opc], [id_app], [desc_opc], [va_log_sheet], [id_parent], [historico]) 
VALUES (1002001, 1002, N'Configuracin General', 1, NULL, 1)
INSERT [dbo].[Opciones] ([id_opc], [id_app], [desc_opc], [va_log_sheet], [id_parent], [historico]) 
VALUES (1002002, 1002, N'Zona de Depuracin', 1, NULL, 1)

INSERT [dbo].[Opciones] ([id_opc], [id_app], [desc_opc], [va_log_sheet], [id_parent], [historico]) 
VALUES (1005001, 1005, N'Bitcora de Reservas', 1, NULL, 1)

select * from Opciones where id_opc = 100500



